Name: ant-optional
Version: 1.6.2
Release: alt2.M24.1

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Summary: Optional tasks for Ant
Group: Development/Java
License: Apache
URL: http://ant.apache.org/

BuildArch: noarch

Source: http://www.apache.org/dist/ant/source/apache-ant-%version-src.tar.bz2

BuildPreReq: /proc
BuildPreReq: ant j2se1.4-sun-devel rpm-build-java
BuildPreReq: antlr
BuildPreReq: jakarta-bcel
BuildPreReq: jaf
BuildPreReq: jai
BuildPreReq: jakarta-commons-logging
BuildPreReq: jakarta-commons-net
BuildPreReq: jakarta-oro
BuildPreReq: jakarta-regexp
BuildPreReq: javamail
BuildPreReq: jdepend
BuildPreReq: jsch
BuildPreReq: junit
BuildPreReq: apache-logging-log4j
#BuildReq: stylebook
BuildPreReq: xalan-j
BuildPreReq: xml-commons-resolver

%description
Optional build tasks for ant, a platform-independent build tool for Java.

%package -n ant-antlr
Summary: AnTLR task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: antlr

%description -n ant-antlr
AnTLR task support for ant, a platform-independent build tool for Java.

%package -n ant-bcel
Summary: BCEL task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jakarta-bcel

%description -n ant-bcel
BCEL task support for ant, a platform-independent build tool for Java.

%package -n ant-commons-logging
Summary: Jakarta Commons Logging task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jakarta-commons-logging

%description -n ant-commons-logging
Jakarta Commons Logging task support for ant,
a platform-independent build tool for Java.

%package -n ant-commons-net
Summary: Jakarta Commons Net task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jakarta-commons-net

%description -n ant-commons-net
Jakarta Commons Net task support for ant,
a platform-independent build tool for Java.

%package -n ant-jai
Summary: JAI task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jai

%description -n ant-jai
Java Advanced Imaging task support for ant,
a platform-independent build tool for Java.

%package -n ant-jakarta-oro
Summary: Jakarta ORO task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jakarta-oro

%description -n ant-jakarta-oro
Jakarta ORO task support for ant, a platform-independent build tool for Java.

%package -n ant-jakarta-regexp
Summary: Jakarta Regexp task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jakarta-regexp

%description -n ant-jakarta-regexp
Jakarta Regexp task support for ant,
a platform-independent build tool for Java.

%package -n ant-javamail
Summary: Javamail task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: javamail

%description -n ant-javamail
Javamail task support for ant, a platform-independent build tool for Java.

%package -n ant-jdepend
Summary: JDepend task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jdepend

%description -n ant-jdepend
JDepend task support for ant, a platform-independent build tool for Java.

%package -n ant-jmf
Summary: JMF task support for Ant
Group: Development/Java
Requires: ant = %version-%release

%description -n ant-jmf
Java Media Framework task support for ant,
a platform-independent build tool for Java.

%package -n ant-jsch
Summary: JSch task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: jsch

%description -n ant-jsch
JSch task support for ant, a platform-independent build tool for Java.

%package -n ant-junit
Summary: JUnit task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: junit

%description -n ant-junit
JUnit task support for ant, a platform-independent build tool for Java.

%package -n ant-log4j
Summary: Log4j task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: apache-logging-log4j

%description -n ant-log4j
Log4j task support for ant, a platform-independent build tool for Java.

#%package -n ant-stylebook
#Summary: Stylebook task support for Ant
#Group: Development/Java
#Requires: ant = %version-%release
#Requires: stylebook
#
#%description -n ant-stylebook
#Stylebook task support for ant, a platform-independent build tool for Java.

%package -n ant-swing
Summary: Swing support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: j2se >= 1.4

%description -n ant-swing
Swing support for ant, a platform-independent build tool for Java.

%package -n ant-trax
Summary: TRAX task support for Ant
Group: Development/Java
Requires: ant = %version-%release

%description -n ant-trax
TRAX (Transformation APIs for XML) task support for ant,
a platform-independent build tool for Java.

%package -n ant-xml-resolver
Summary: XML Commons Resolver task support for Ant
Group: Development/Java
Requires: ant = %version-%release
Requires: xml-commons-resolver

%description -n ant-xml-resolver
XML Commons Resolver task support for ant,
a platform-independent build tool for Java.

%prep
%setup -q -n apache-ant-%version

%build
%set_classpath %_javadir/xml-commons-apis.jar
%set_classpath %_javadir/jaxp_parser_impl.jar
%set_classpath %_javadir/activation.jar
%set_classpath %_javadir/antlr.jar
%set_classpath %_javadir/jakarta-bcel.jar
%set_classpath %_javadir/jai/jai_core.jar
%set_classpath %_javadir/jai/jai_codec.jar
%set_classpath %_javadir/jakarta-commons-logging.jar
%set_classpath %_javadir/jakarta-commons-net.jar
%set_classpath %_javadir/jakarta-oro.jar
%set_classpath %_javadir/jakarta-regexp.jar
%set_classpath %_javadir/javamail/mailapi.jar
%set_classpath %_javadir/jdepend.jar
%set_classpath %_javadir/jsch.jar
%set_classpath %_javadir/junit.jar
%set_classpath %_javadir/apache-logging-log4j.jar
#%set_classpath %_javadir/stylebook.jar
%set_classpath %_javadir/xalan-j.jar
%set_classpath %_javadir/xml-commons-resolver.jar

%ant_build \
%if_enabled debug
    -Doptimize=false \
%else
    -Ddebug=false \
%endif
    jars

%install
%__mkdir_p %buildroot%_javadir/ant
%__mv build/lib/*.jar %buildroot%_javadir/ant/

%files -n ant-antlr
%_javadir/ant/ant-antlr.jar

%files -n ant-bcel
%_javadir/ant/ant-apache-bcel.jar

%files -n ant-commons-logging
%_javadir/ant/ant-commons-logging.jar

%files -n ant-commons-net
%_javadir/ant/ant-commons-net.jar

%files -n ant-jai
%_javadir/ant/ant-jai.jar

%files -n ant-jakarta-oro
%_javadir/ant/ant-apache-oro.jar

%files -n ant-jakarta-regexp
%_javadir/ant/ant-apache-regexp.jar

%files -n ant-javamail
%_javadir/ant/ant-javamail.jar

%files -n ant-jdepend
%_javadir/ant/ant-jdepend.jar

%files -n ant-jmf
%_javadir/ant/ant-jmf.jar

%files -n ant-jsch
%_javadir/ant/ant-jsch.jar

%files -n ant-junit
%_javadir/ant/ant-junit.jar

%files -n ant-log4j
%_javadir/ant/ant-apache-log4j.jar

#%files -n ant-stylebook
#%_javadir/ant/ant-stylebook.jar

%files -n ant-swing
%_javadir/ant/ant-swing.jar

%files -n ant-trax
%_javadir/ant/ant-trax.jar

%files -n ant-xml-resolver
%_javadir/ant/ant-apache-resolver.jar

%changelog
* Tue Apr 19 2005 Alexey Borovskoy <alb@altlinux.ru> 1.6.2-alt2.M24.1
- Backport to Master 2.4 

* Tue Sep 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt2
- Updated to ant-1.6.2-alt2

* Wed Jul 21 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.2-alt1
- New upstream release
- Removed ant-xalan2 following the likewise upstream change

* Mon Jun 14 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.6.1-alt2
- Updated to 1.6.1
- Split to packages one per jar, each with own dependencies
- Bind to the core ant package up to version-release

* Thu Dec 18 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt3
- Javacc compatibility patches borrowed from the JPackage project

* Fri Oct 24 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.5.4-alt2
- Initial release as a separate source package
